{% load static %}
<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

        <title>Register Form</title>
        <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3" crossorigin="anonymous">
        <link rel="stylesheet" href="{% static 'styles/register.css' %}">
        <style>
            form {
                padding: 20px;
            }
        </style>
    </head>

    <body>
        <h3 class="text-center field-label" style="padding-top: 30px; padding-bottom: 20px">REGISTRASI AKUN SIVAX</h3>
        <form action="/" id="form-action">
            <div class="form-group row">
                <label for="inputEmail3" class="col-sm-2 col-form-label field-label">Jenis Akun:</label>
                <div class="col-sm-10" required>
                    <select id="jenis_akun" class="form-control" aria-label="Jenis Akun" required>
                        <option value="" selected>Jenis Akun...</option>
                        <option value="warga">Warga</option>
                        <option value="panitia">Panitia Penyelenggara</option>
                        <option value="admin">Admin Satgas</option>
                    </select>
                </div>
            </div>
            <br>
            <div class="d-grid gap-2 col-6 mx-auto">
                <button class="btn btn-outline-success" id="submit-button" type="submit" style="color: aliceblue;">Lanjut</button>
            </div>
        </form>    
        
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.9.2/dist/umd/popper.min.js" integrity="sha384-IQsoLXl5PILFhosVNubq5LC7Qb9DXgDA9i+tQ8Zj3iwWAwPtgFTxbJ8NT4GN1R8p" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.min.js" integrity="sha384-cVKIPhGWiC2Al4u+LWgxfKTRIcfu0JTxR+EQDz/bgldoEyl4H0zUF0QKbrJ0EcQF" crossorigin="anonymous"></script>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
        <script>
            $("#jenis_akun").change(function () {
                var href = document.getElementById("form-action")
                if ($(this).val() == "warga") {
                    href.action = "/warga"
                } else if ($(this).val() == "panitia"){
                    href.action = "/panitia"
                } else if ($(this).val() == "admin"){
                    href.action = "/admin-sistem"
                } else {
                    href.action = "/register" 
                }
            });

        </script>
    </body>
</html>
